com.atid.lib.module.barcode.ssi.type

## Enum I2of5CheckDigitVerification

- java.lang.Object
- - java.lang.Enum<I2of5CheckDigitVerification>
  - - com.atid.lib.module.barcode.ssi.type.I2of5CheckDigitVerification

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<I2of5CheckDigitVerification>

      public enum I2of5CheckDigitVerification
      extends java.lang.Enum<I2of5CheckDigitVerification>
      implements IEnumType

  Enable this feature to check the integrity of all I 2 of 5 symbols to verify the data complies with either the specified Uniform Symbology Specification (USS), or the Optical Product Code Council (OPCC) check digit algorithm.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disable`
    `OPCCCheckDigit`
    `USSCheckDigit`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static I2of5CheckDigitVerification` | `valueOf(int code)`
    `static I2of5CheckDigitVerification` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static I2of5CheckDigitVerification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disable

          public static final I2of5CheckDigitVerification Disable

    - #### USSCheckDigit

          public static final I2of5CheckDigitVerification USSCheckDigit

    - #### OPCCCheckDigit

          public static final I2of5CheckDigitVerification OPCCCheckDigit

  - ### Method Detail

    - #### values

          public static I2of5CheckDigitVerification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2of5CheckDigitVerification c : I2of5CheckDigitVerification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I2of5CheckDigitVerification valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<I2of5CheckDigitVerification>`

    - #### valueOf

          public static I2of5CheckDigitVerification valueOf(int code)